Create Protected Package Build
POST
/v1/packages/protection/builds
const url = 'https://example.com/v1/packages/protection/builds?tenant_id=';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/v1/packages/protection/builds?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{}'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalPackageProtectionBuildOut
object
build_id
Build Id
string
status
Status
string
project_slug
Project Slug
string
package_name
Package Name
string
version
Version
string
protection_policy
Protection Policy
Array<string>
evidence_url
Evidence Url
string
Example
{ "build_id": "", "status": "accepted", "project_slug": "", "package_name": "", "version": "", "evidence_url": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}